### Method

# ECal ComponentAlarms free

since: 3.34

#### Declaration [src]

    void
    e_cal_component_alarms_free (
      ECalComponentAlarms* alarms
    )

#### Description [src]

Free `alarms`, previously created by `e_cal_component_alarms_new()` or e_cal_component_alarms_copy(). The function does nothing, if `alarms` is `NULL`.

Available since: 3.34

This method is not directly available to language bindings.

#### Parameters

`alarms`

  Type: `ECalComponentAlarms`

  An `ECalComponentAlarms` to free.

  The argument can be `NULL`.